RAND(3)

NAME
rand, srand - random number generator

SYNOPSIS
#include <stdlib.h>
void srand(unsigned seed)
unsigned rand(void)

DESCRIPTION
Rand uses a multiplicative congruential random number generator with period 2**32 to return successive pseudo-random numbers in the range from 0 to RAND_MAX.

The generator is reinitialized by calling srand with 1 as argument. It can be set to a random starting point by calling srand with whatever you like as argument.

SEE ALSO
random(3).